Get Recent Changes

This API is used to retrieve recent changes made to files and folders in WorkDrive. It helps track updates over time and can be used to sync or back up data incrementally.

Download Get Recent Changes OpenAPI Document
Download






Get Start Token

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API is used to generate the starting point token, which is required to check the changes in the WorkDrive account. You can choose the time from the current time to up to the last 31 days.
<

Note:
Your date will be converted to our server's time zone.
Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://www.zohoapis.com/workdrive/api/v1/changes/{resource_id}?page%5Btoken%5D=latest' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

resource_idstring(Required)

The unique ID of My Folders, Team Folder, or any sub folder.

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

page[token]string(Required)

Set the token value as one of these: latest (to check changes from current time), milliseconds, date format (yyyy-mm-dd), or date-time format (yyyy-mm-dd hh:mm:ss).

Allowed Values :
Show Values
latestCopied!
millisecondsCopied!
yyyy-mm-ddCopied!
yyyy-mm-dd hh:mm:ssCopied!
Copied!Copy all as JSON Array
page[limit]string

Page limit refers to the total page results you need to view using the API response. A single page contains 50 results (files and/or folders).

For example: Page[200]

Note:
Maximum pages you can set is 1000.

Response Example

CHG001

CHG004

CHG002

200
200
400
401
422
Copied!
  {
    "data": {
      "id": "ipcpn30c4b2a548bc4986bfc4502e040f2fa9",
      "type": "changes",
      "attributes": {
        "expires_in": 2678400,
        "token": "https://www.zohoapis.com/workdrive/api/v1/changes?page[next]=7e27d02e04a9b6a7565dcc90e099fadd258a108eb4b3b0c2cb05343413b5099497c89138ee437a07565bfc978a3660d9b"
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/changes/ipcpn30c4b2a548bc4986bfc4502e040f2fa9"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "CHG001",
        "title": "Resource ID is invalid to track the delta changes"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "CHG004",
        "title": "Observation of alterations to the folder is not active"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "CHG002",
        "title": "Given time is beyond limit"
      }
    ]
  }
                
Show full